# Settings

This class manages global configuration files.

If you use this class statically, then the default project configuration file will be used.

The path of the default configuration file is: `System.Home &/ Application.Name & ".conf"`

This class can be used like an object by creating an hidden instance on demand.

This class is creatable.

`DIM hSettings AS Settings hSettings = NEW Settings ( [ Path AS String ] )`

Creates a new settings object from the configuration file specified by Path.

If Path is not specified, then the default application configuration file is used.

This class acts like an array.

`DIM hSettings AS Settings DIM aVariant AS Variant aVariant = hSettings [ Key AS String [ , Default AS Variant ] ]`

Returns a setting from its key.

A default value can be specified when no setting is associated with the key.

`DIM hSettings AS Settings DIM aVariant AS Variant hSettings [ Key AS String [ , Default AS Variant ] ] = aVariant`

Associates a setting with a key.

Methods |
--- | ---
Save |